## polybori 0.8.3

=== SConstruct ===
# Emacs edit mode for this file is -*- python -*-




# Backward compatibility
if not 'Variables' in globals():
    Variables = Options
    BoolVariable = BoolOption

# Some hard-coded settings
pboriname = 'PolyBoRi'
try:
    versionnumber = open('versionnumber', 'r').read().rstrip() + "-0"
    (pboriversion, pborirevision) = versionnumber.split('-')[:2]
    pborifullrevision = (pborirevision.split('.') + ['0', '0', '0'])[:3]
    pborirelease = pborifullrevision[0]
except:
    pboriversion = "0.0"
    pborirevision = "0"
    pborifullrevision = ['0', '0', '0']
    pborirelease = "0"



debname = "polybori-" + pboriversion + '.' + pborirelease

import tarfile

import sys
from os import sep, path
from glob import glob

m4ri=Split("""grayflex.c permutation.c packedmatrix.c strassen.c
misc.c brilliantrussian.c trsm.c mmc.c echelonform.c pls.c pls_mmpf.c""")
m4ri=[path.join("M4RI/m4ri", m) for m in m4ri]

m4ri_inc = 'M4RI'

def ensure_dir(target, env):
    target = env.subst(target)
    if not path.exists(target):
        try:
            os.makedirs(target)
        except:
            # Maybe just a race condition occured, because two processes trixy
            # to generate the directory at the same time. (This I could ignore.)
            if not path.exists(target):
                raise RuntimeError, "Could not mkdir " + target


def pathsplit(p, rest=[]):
    (h,t) = os.path.split(p)
    if len(h) < 1: return [t]+rest
    if len(t) < 1: return [h]+rest
    return pathsplit(h,[t]+rest)

def commonpath(l1, l2, common=[]):
    if len(l1) < 1: return (common, l1, l2)
    if len(l2) < 1: return (common, l1, l2)
    if l1[0] != l2[0]: return (common, l1, l2)
    return commonpath(l1[1:], l2[1:], common+[l1[0]])

def relpath(p1, p2):
    (common,l1,l2) = commonpath(pathsplit(p1), pathsplit(p2))
    p = []
    if len(l1) > 0:
        p = [ ('..' + sep) * len(l1) ]
    p = p + l2

    if len(p) == 0:
        return ''
    return os.path.join( *p )

def env_relpath(env, path, versus):
    return relpath(env.subst(path), env.subst(versus))

Environment.relpath = env_relpath

def preprocessed_substitute(target, source, env):
    def preprocess_at(page):
        import re
        p = re.compile('@([^@\n]*) @', re.VERBOSE)
        return p.sub(r'$\1', page)
        
    substitute_install(target, source, env, preprocess=preprocess_at)
    

# Fix some paths and names
class PathJoiner(object):
    """Generates a valid path from lists of strings, with custom prefix (set at
    initialization). It also changes '/' to correct path separator.""" 
    def __init__(self, *parent):
        self.parent = path.join(*self.validpath(*parent))
    def __call__(self, *args):
        return path.join(self.parent, *self.validpath(*args))
    def validpath(self, *args):
        return [str(elt).replace('/', sep) for elt in args]

[TestsPath, PyPBPath, CuddPath, GBPath, PBPath, DocPath, BuildPath] = \
    [ PathJoiner(fdir)
      for fdir in Split("""testsuite PyPolyBoRi Cudd groebner libpolybori doc
 build""") ]

M4RIPath = PathJoiner('M4RI')
M4RIInc = PathJoiner(M4RIPath('m4ri'))

DataPath = PathJoiner(TestsPath('py/data'))

DebPath = PathJoiner('pkgs/debian')
DebInstPath = PathJoiner('debian')

RPMPath = PathJoiner('pkgs/rpm')
SpecsPath = PathJoiner(RPMPath('SPECS'))

   
# Split lists separated by colons and whitespaces
def SplitColonSep(arg):
    result = []
    for element in Split(arg):
        result += element.split(':')
    return result

def shell_output(*args):
    from subprocess import Popen, PIPE, STDOUT
    process = Popen(args, stdin=None, stdout=PIPE, stderr=STDOUT, env=os.environ)
    return process.communicate()[0].rstrip()


pyroot="pyroot/"
ipbroot = 'ipbori'
guiroot = 'gui'
cudd_name = 'pboriCudd'

[PyRootPath, IPBPath, GUIPath] = [PathJoiner(fdir) for fdir in [pyroot, ipbroot,
                                                                guiroot] ]
try:
	import SCons.Tool.applelink as applelink
except:
	pass
import os

def FinalizePermissions(targets, perm=None):
    def isdll(path):
        return 'dll' in os.path.basename(path).split(os.path.extsep)[1:]
    
    for src in targets:
        path = str(src)
        if not os.path.islink(path):
            if perm is None:
                if os.path.isdir(path):
                    perm = 040755
                else:
                    if os.access(path, os.X_OK) or isdll(path):
                        perm = 0755
                    else:
                        perm = 0644
            env.AddPostAction(src, Chmod(path, perm))
    return targets

def FinalizeExecs(targets):
    return FinalizePermissions(targets, 0755)

def FinalizeNonExecs(targets):
    return FinalizePermissions(targets, 0644)


distribute = 'distribute' in COMMAND_LINE_TARGETS

prepare_deb = 'prepare-debian' in COMMAND_LINE_TARGETS
generate_deb = 'deb' in COMMAND_LINE_TARGETS
deb_generation = prepare_deb or generate_deb
generate_rpm = 'rpm' in COMMAND_LINE_TARGETS
generate_srpm = 'srpm' in COMMAND_LINE_TARGETS
prepare_rpm = 'prepare-rpm' in COMMAND_LINE_TARGETS
rpm_generation = generate_rpm or generate_srpm or prepare_rpm


# Undocumented switches (for debugging foreign platforms)
defaultopts = Variables() # Works only from command line
defaultopts.Add('PLATFORM', "Manually set another platform (unusual)")
defaultopts.Add('TOOLS', "Manually set toolchain (unusual)", converter = Split)   

defaultenv = Environment(ENV = os.environ, options=defaultopts)

# See also: http://trac.sagemath.org/sage_trac/ticket/9872 and #6437
def detect_linker(env):
    import re
    args = env.subst('$CC').split() + ['-Wl,-v']
    if re.search("Binutils|GNU",  shell_output(*args)):
        return "gnu"

    # Non-gnu linker or linux (could be Sun or Intel linker) will return 'posix'.
    return env['PLATFORM']

def detect_compiler(env):
    import re
    args = env.subst('$CC').split() + ['-v']
    if re.search("gcc version",  shell_output(*args)):
        return "gnu"

    # Non-gnu linker or linux (could be Sun or Intel linker) will return 'posix'.
    return env['PLATFORM']

# for gentoo-prefix on OS X
def _fix_dynlib_flags(env):

    if env['PLATFORM']=="darwin":
        return "-Wl,-flat_namespace"
    return ''


def _sonameprefix(env):
    linker = detect_linker(env)
    #print linker, "linker detected!"
    if env['PLATFORM']=="darwin":
        return "-install_name @loader_path/"

    elif (env['PLATFORM'] == "sunos") and (linker == 'sunos'):
        return '-Wl,-h'

    else:
        return '-Wl,-soname,'

# dynamic module flags
def _dynmodule_flags(env):
    """Creates special flags for dynamic libraries, in particular on darwin."""
    if env['PLATFORM'] == "darwin":
        return "-Wl,-undefined -Wl,dynamic_lookup"
    else:
        return ""

def _moduleflags(env):
    if env['PLATFORM']=="darwin":
        python_absolute = shell_output("which", env.subst("$PYTHON"))
        return ["-fvisibility=hidden", "-bundle_loader", python_absolute]

    return []

def _relative_rpath(target, env):
    if not target or env['PLATFORM'] in ["darwin", "cygwin"]:
        return ''

    targetdir = os.path.dirname(env.subst(str(target)))
    libdir = BuildPath(env['DEVEL_LIB_PREFIX'].lstrip(sep))
    relative_path = '\\$$ORIGIN/' + env.relpath(targetdir, libdir)
    return [env['RPATHPREFIX'] + relative_path + env['RPATHSUFFIX'],
            '-z', 'origin']

def scons_version():
    import SCons
    return SCons.__version__.split('.')

def oldstyle_flags():
    return scons_version() < ['0','97','0']


class ExtendedVariables:
    def __init__(self, vars, defaults):
        from weakref import proxy
        vars.AddWithDefaults = self
        self.vars = proxy(vars)
        self.defaults = defaults
    def __call__(self, varname, *args, **kwds):   
        self.vars.Add(varname, *args, **kwds)
        self.vars.Add('DEFAULT_' + varname, 
                      "defaults appended to " + repr(varname),
                      self.defaults[varname])

pbori_cache_macros=["PBORI_UNIQUE_SLOTS","PBORI_CACHE_SLOTS","PBORI_MAX_MEMORY"]

def setup_env(defaultenv):

    opts = Variables('custom.py')

    ExtendedVariables(opts, defaultenv)
    
    # Define option handle, may be changed from command line or custom.py
    opts.Add('CXX', 'C++ Compiler (inherited from SCons)',
             defaultenv['CXX'])
    opts.Add('CC', 'C Compiler (inherited from SCons)',
             defaultenv['CC'])

    opts.Add('SHCXX', 
             'C++ Compiler (preparing shared libraries; inherited from SCons)',
             defaultenv['SHCXX'])
    opts.Add('SHCC', 
             'C Compiler (preparing shared libraries; inherited from SCons)',
             defaultenv['SHCC'])

    opts.Add('PYTHON', 'Python executable', "python$PROGSUFFIX")

    opts.Add('LIBPATH', 'list of library paths (colon or whitespace separated)',
             defaultenv.get('LIBPATH', []), converter = SplitColonSep)
    opts.Add('CPPPATH', 'list of include paths (colon or whitespace separated)',
             defaultenv.get('CPPPATH', []), converter = SplitColonSep)

    opts.Add('TEST_CPPPATH', 'list of include paths for tests (colon or whitespace separated)',
             '', converter = SplitColonSep)

    opts.Add('CPPDEFINES', 'list of preprocessor defines (whitespace separated)',
             defaultenv.get('CPPDEFINES',[]) + ['PBORI_NDEBUG'], converter = Split)


    if oldstyle_flags() :
        defaultenv.Append(CCFLAGS=["-std=c99", "$M4RI_CFLAGS"])
        defaultenv.Append(CXXFLAGS=["-std=c++98", "$M4RI_CFLAGS", 
                                    "-ftemplate-depth-100"])
        for (var, help, default) in [('CCFLAGS', "C compiler flags", ["-O3"]),
                                     ('CXXFLAGS', "C++ compiler flags", ["-O3"])]:
            opts.AddWithDefaults(var, help, default, converter=Split)

    else:
        defaultenv.Append(CCFLAGS=["$M4RI_CFLAGS"])
        defaultenv.Append(CFLAGS=["-std=c99"])
        defaultenv.Append(CXXFLAGS=["-std=c++98", "-ftemplate-depth-100"])

        for (var, help, default) in [('CCFLAGS', "C/C++ compiler flags", ["-O3"]),
                                     ('CFLAGS', "C compiler flags", []),
                                     ('CXXFLAGS', "C++ compiler flags", [])]:
            opts.AddWithDefaults(var, help, default, converter=Split)


    opts.Add('M4RI_CFLAGS', "C compiler flags for M4RI", converter = Split) 


    defaultenv.Append(LINKFLAGS=['${_fix_dynlib_flags(__env__)}', 
                                 '${_relative_rpath(TARGET, __env__)}'])
    defaultenv.Append(SHLINKFLAGS=['$SONAMEFLAGS'])
    defaultenv.Append(LDMODULEFLAGS=['${_moduleflags(__env__)}'])
    defaultenv.Append(LIBS=[])

    opts.AddWithDefaults('LINKFLAGS', 
                         "Custom linker flags (e.g. '-s' for stripping)", [],
                         converter=Split)

    opts.AddWithDefaults('SHLINKFLAGS', 'Shared libraries link flags.', [],
                         converter=Split)

    opts.AddWithDefaults('LDMODULEFLAGS',
                         'Dynamic module compile flags', [], converter=Split)

    for flag in Split("""SHCCFLAGS SHCFLAGS SHCXXFLAGS FRAMEWORKS"""):
        if defaultenv.has_key(flag):
            opts.AddWithDefaults(flag, "flags inherited from SCons",
                                 [], converter=Split)
        else:
            print "Flags", flag, "not in default environment!"


    opts.AddWithDefaults('LIBS', 'custom libraries needed for build', [],
                         converter = Split)
    opts.Add('GD_LIBS', 'Library gb and its dependencies (if needed)', 
             ["gd"], converter = Split)

    opts.Add('PREFIX', 'installation prefix directory', '$DESTDIR/usr/local')
    opts.Add('EPREFIX','executables installation prefix directory', '$PREFIX/bin')

    opts.Add('INSTALLDIR', 'end user installation directory',
             '$PREFIX/share/polybori')
    opts.Add('DOCDIR', 'documentation installation directory',
             '$INSTALLDIR/doc')

=== Cudd/Makefile ===
# $Id$
#
# Makefile for the CUDD distribution kit
#---------------------------------------------------------------------------

# Beginning of the configuration section. These symbol definitions can
# be overridden from the command line.

# C++ compiler
CXX	= g++
#CXX	= icpc
#CXX	= ecpc
#CXX	= CC
#CXX	= /usr/local/opt/SUNWspro/bin/CC
#CXX	= cxx

# Specific options for compilation of C++ files.
CXXFLAGS =
# Stricter standard conformance for g++.
#CXXFLAGS = -std=c++98
# For Sun CC version 5, this invokes compatibility mode.
#CXXFLAGS = -compat
# On some versions of UP-UX, it is necessary to pass the option +a1
# to CC for the C++ test program to compile successfully.
#CXXFLAGS = +a1

# C compiler used for all targets except optimize_dec, which always uses cc.
#CC	= cc
#CC	= /usr/local/opt/SUNWspro/bin/cc
CC	= gcc
#CC	= icc
#CC	= ecc
#CC	= /usr/ucb/cc
#CC	= c89
#CC	= $(CXX)

# On some machines ranlib is either non-existent or redundant.
# Use the following definition if your machine has ranlib and you think
# it is needed.
RANLIB	= ranlib
# Use the following definition if your machine either does not have
# ranlib (e.g., SUN running solaris) or can do without it (e.g., DEC Alpha).
#RANLIB	= :

# Use ICFLAGS to specify machine-independent compilation flags.
# These three are typical settings for cc.
#ICFLAGS	= -g
#ICFLAGS	= -O
#ICFLAGS	=
# These two are typical settings for optimized code with gcc.
ICFLAGS	= -g -O6 -pg
#ICFLAGS	= -g -O3 -Wall
ICFLAGS	= -g -O3

# Use XCFLAGS to specify machine-dependent compilation flags.
# For some platforms no special flags are needed.
#XCFLAGS	= -DHAVE_IEEE_754 -DBSD
#
#==========================
#  Linux
#
# Gcc 4.2.4 or higher on i686.
XCFLAGS	= -mtune=native -malign-double -DHAVE_IEEE_754 -DBSD
# Gcc 3.2.2 or higher on i686.
#XCFLAGS	= -mtune=pentium4 -malign-double -DHAVE_IEEE_754 -DBSD
# Gcc 2.8.1 on i686.
#XCFLAGS	= -mcpu=pentiumpro -malign-double -DHAVE_IEEE_754 -DBSD
# Gcc 4.2.4 or higher on x86_64 (64-bit compilation)
#XCFLAGS	= -mtune=native -DHAVE_IEEE_754 -DBSD -DSIZEOF_VOID_P=8 -DSIZEOF_LONG=8
# Gcc 4.2.4 or higher on x86_64 (32-bit compilation)
#XCFLAGS	= -m32 -mtune=native -malign-double -DHAVE_IEEE_754 -DBSD
# Icc on i686 (older versions may not support -xHost).
#XCFLAGS	= -ansi -xHost -align -ip -DHAVE_IEEE_754 -DBSD
# Icc on x86_64 (64-bit compilation).
#XCFLAGS	= -ansi -xHost -align -ip -DHAVE_IEEE_754 -DBSD -DSIZEOF_VOID_P=8 -DSIZEOF_LONG=8
# Gcc on ia64.
#XCFLAGS	= -DHAVE_IEEE_754 -DBSD -DSIZEOF_VOID_P=8 -DSIZEOF_LONG=8
# Icc/ecc on ia64.
#XCFLAGS = -ansi -DBSD -DHAVE_IEEE_754 -DSIZEOF_VOID_P=8 -DSIZEOF_LONG=8
#
#==========================
#  Solaris
#
# For Solaris, BSD should not be replaced by UNIX100.
#XCFLAGS	= -DHAVE_IEEE_754 -DUNIX100 -DEPD_BIG_ENDIAN
# Gcc 2.8.1 or higher on Ultrasparc.
#XCFLAGS	= -mcpu=ultrasparc -DHAVE_IEEE_754 -DUNIX100 -DEPD_BIG_ENDIAN
# For Solaris 2.5 and higher, optimized code with /usr/bin/cc or CC.
#XCFLAGS	= -DHAVE_IEEE_754 -DUNIX100 -xO5 -native -dalign -DEPD_BIG_ENDIAN
# On IA platforms, -dalign is not supported and causes warnings.
#XCFLAGS	= -DHAVE_IEEE_754 -DUNIX100 -xO5 -native
# Recent Sun compilers won't let you use -native on old Ultras.
#XCFLAGS	= -DHAVE_IEEE_754 -DUNIX100 -xO5 -dalign -xlibmil -DEPD_BIG_ENDIAN
# For Solaris 2.4, optimized code with /usr/bin/cc.
#XCFLAGS	= -DHAVE_IEEE_754 -DUNIX100 -xO4 -dalign -DEPD_BIG_ENDIAN
# For Solaris 2.5 and higher, optimized code with /usr/ucb/cc.
#XCFLAGS	= -DHAVE_IEEE_754 -DBSD -xO5 -native -dalign -DEPD_BIG_ENDIAN
#XCFLAGS	= -DHAVE_IEEE_754 -DBSD -xO5 -dalign -xlibmil -DEPD_BIG_ENDIAN
# For Solaris 2.4, optimized code with /usr/ucb/cc.
#XCFLAGS	= -DHAVE_IEEE_754 -DBSD -xO4 -dalign -DEPD_BIG_ENDIAN
#
#==========================
#  DEC Alphas running Digital Unix
#
# For DEC Alphas either -ieee_with_inexact or -ieee_with_no_inexact is
# needed. If you use only BDDs, -ieee_with_no_inexact is enough.
# In the following, we consider three different compilers:
# - the old native compiler (the one of MIPS ancestry that produces u-code);
# - the new native compiler;
# - gcc
# On the Alphas, gcc (as of release 2.7.2) does not support 32-bit pointers
# and IEEE 754 floating point arithmetic. Therefore, for this architecture
# only, the native compilers provide a substatial advantage.
# With the native compilers, specify -xtaso for 32-bit pointers.
# Do not use -xtaso_short because explicit reference to stdout and stderr
# does not work with this option. (Among other things.)
# Notice that -taso must be included in LDFLAGS for -xtaso to work.
# Given the number of possible choices, only some typical configurations
# are proposed here.
#
# Old native compiler for the Alphas; 64-bit pointers.
#XCFLAGS	= -DBSD -DHAVE_IEEE_754 -ieee_with_no_inexact -tune host -DSIZEOF_VOID_P=8 -DSIZEOF_LONG=8
# Old native compiler for the Alphas; 32-bit pointers.
#XCFLAGS	= -DBSD -DHAVE_IEEE_754 -ieee_with_no_inexact -tune host -xtaso -DSIZEOF_LONG=8
# New native compiler for the Alphas; 64-bit pointers.
#XCFLAGS	= -g3 -O4 -std -DBSD -DHAVE_IEEE_754 -ieee_with_no_inexact -tune host -DSIZEOF_VOID_P=8 -DSIZEOF_LONG=8
# New native compiler for the Alphas; 32-bit pointers.
#XCFLAGS	= -g3 -O4 -std -DBSD -DHAVE_IEEE_754 -ieee_with_no_inexact -tune host -xtaso -DSIZEOF_LONG=8
# gcc for the Alphas: compile without HAVE_IEEE_754.
#XCFLAGS	= -DBSD -DSIZEOF_VOID_P=8 -DSIZEOF_LONG=8
#
#==========================
#
#  IBM RS6000
#
# For the IBM RS6000 -qstrict is necessary when specifying -O3 with cc.
#XCFLAGS	= -DBSD -DHAVE_IEEE_754 -DEPD_BIG_ENDIAN -O3 -qstrict
#
#==========================
#
#  HP-UX
#
# I haven't figured out how to enable IEEE 754 on the HPs I've tried...
# For HP-UX using gcc.
#XCFLAGS	= -DUNIX100 -DEPD_BIG_ENDIAN
# For HP-UX using c89.
#XCFLAGS	= +O3 -DUNIX100 -DEPD_BIG_ENDIAN
#
#==========================
#
#  Windows 95/98/NT/XP/Vista/7 with Cygwin tools
#
# The value of RLIMIT_DATA_DEFAULT should reflect the amount of
# available memory (expressed in bytes).
# Recent versions of cygwin have getrlimit, but the datasize limit
# cannot be set.
#XCFLAGS	= -mtune=native -malign-double -DHAVE_IEEE_754 -DHAVE_GETRLIMIT=0 -DRLIMIT_DATA_DEFAULT=268435456


# Define the level of self-checking and verbosity of the CUDD package.
#DDDEBUG = -DDD_DEBUG -DDD_VERBOSE -DDD_STATS -DDD_CACHE_PROFILE -DDD_UNIQUE_PROFILE -DDD_COUNT
DDDEBUG	=

# Define the level of self-checking and verbosity of the MTR package.
#MTRDEBUG = -DMTR_DEBUG
MTRDEBUG =

# Loader options.
LDFLAGS	=
# This may produce faster code on the DECstations.
#LDFLAGS	= -jmpopt -Olimit 1000
# This may be necessary under some old versions of Linux.
#LDFLAGS	= -static
# This normally makes the program faster on the DEC Alphas.
#LDFLAGS	= -non_shared -om
# This is for 32-bit pointers on the DEC Alphas.
#LDFLAGS	= -non_shared -om -taso
#LDFLAGS	= -non_shared -taso

# Define PURE as purify to link with purify.
# Define PURE as quantify to link with quantify.
# Remember to compile with -g if you want line-by-line info with quantify.
PURE =
#PURE	= purify
#PURE	= quantify

# Define EXE as .exe for MS-DOS and derivatives.  Not required by recent
# versions of cygwin.
EXE	=
#EXE	= .exe

# End of the configuration section.
#---------------------------------------------------------------------------

MFLAG   = -DMNEMOSYNE
MNEMLIB	= ../mnemosyne/libmnem.a

DDWDIR	= .
IDIR	= $(DDWDIR)/include
INCLUDE = -I$(IDIR)

BDIRS	= cudd dddmp mtr st util epd
DIRS	= $(BDIRS) nanotrav

#------------------------------------------------------------------------

.PHONY : build
.PHONY : nanotrav
.PHONY : check_leaks
.PHONY : optimize_dec
.PHONY : testcudd
.PHONY : libobj
.PHONY : testobj
.PHONY : testdddmp
.PHONY : testmtr
.PHONY : lint
.PHONY : all
.PHONY : clean
.PHONY : distclean


build:
	sh ./setup.sh
	@for dir in $(DIRS); do \
		(cd $$dir; \
		echo Making $$dir ...; \
		make CC=$(CC) RANLIB=$(RANLIB) MFLAG= MNEMLIB= ICFLAGS="$(ICFLAGS)" XCFLAGS="$(XCFLAGS)" DDDEBUG="$(DDDEBUG)" MTRDEBUG="$(MTRDEBUG)" LDFLAGS="$(LDFLAGS)" PURE="$(PURE)" EXE="$(EXE)" )\
	done

nanotrav: build

check_leaks:
	sh ./setup.sh
	@for dir in mnemosyne $(DIRS); do \
		(cd $$dir; \
		echo Making $$dir ...; \
		make CC=$(CC) RANLIB=$(RANLIB) MFLAG=$(MFLAG) MNEMLIB=$(MNEMLIB) ICFLAGS="$(ICFLAGS)" XCFLAGS="$(XCFLAGS)" DDDEBUG="$(DDDEBUG)" MTRDEBUG="$(MTRDEBUG)" LDFLAGS="$(LDFLAGS)" EXE="$(EXE)" )\
	done

optimize_dec:
	sh ./setup.sh
	@for dir in $(DIRS); do \
		(cd $$dir; \
		echo Making $$dir ...; \
		make CC=$(CC) RANLIB=$(RANLIB) XCFLAGS="$(XCFLAGS)" LDFLAGS="$(LDFLAGS)" optimize_dec )\
	done

lint:
	sh ./setup.sh
	@for dir in $(DIRS) obj; do \
		(cd $$dir; \
		echo Making lint in $$dir ...; \
		make CC=$(CC) lint )\
	done

tags:
	sh ./setup.sh
	@for dir in $(DIRS) obj; do \
		(cd $$dir; \
		echo Making tags in $$dir ...; \
		make CC=$(CC) tags )\
	done

all:
	sh ./setup.sh
	@for dir in $(DIRS); do \
		(cd $$dir; \
		echo Making all in $$dir ...; \
		make CC=$(CC) RANLIB=$(RANLIB) MFLAG= MNEMLIB= ICFLAGS="$(ICFLAGS)" XCFLAGS="$(XCFLAGS)" DDDEBUG="$(DDDEBUG)" MTRDEBUG="$(MTRDEBUG)" LDFLAGS="$(LDFLAGS)" PURE="$(PURE)" EXE="$(EXE)" all )\
	done

testcudd:
	sh ./setup.sh
	@for dir in util st mtr epd; do \
		(cd $$dir; \
		echo Making $$dir ...; \
		make CC=$(CC) RANLIB=$(RANLIB) MFLAG= MNEMLIB= ICFLAGS="$(ICFLAGS)" XCFLAGS="$(XCFLAGS)" DDDEBUG="$(DDDEBUG)" MTRDEBUG="$(MTRDEBUG)" LDFLAGS="$(LDFLAGS)" PURE="$(PURE)" EXE="$(EXE)" )\
	done
	@(cd cudd; \
	echo Making testcudd ...; \
	make CC=$(CC) RANLIB=$(RANLIB) MFLAG= MNEMLIB= ICFLAGS="$(ICFLAGS)" XCFLAGS="$(XCFLAGS)" DDDEBUG="$(DDDEBUG)" MTRDEBUG="$(MTRDEBUG)" LDFLAGS="$(LDFLAGS)" PURE="$(PURE)" EXE="$(EXE)" testcudd$(EXE) )

objlib:
	sh ./setup.sh
	@for dir in $(BDIRS); do \
		(cd $$dir; \
		echo Making $$dir ...; \
		make CC=$(CC) RANLIB=$(RANLIB) MFLAG= MNEMLIB= ICFLAGS="$(ICFLAGS)" XCFLAGS="$(XCFLAGS)" DDDEBUG="$(DDDEBUG)" MTRDEBUG="$(MTRDEBUG)" LDFLAGS="$(LDFLAGS)" PURE="$(PURE)" EXE="$(EXE)" )\
	done
	@(cd obj; \
	echo Making obj ...; \
	make CXX=$(CXX) CXXFLAGS=$(CXXFLAGS) RANLIB=$(RANLIB) MFLAG= MNEMLIB= ICFLAGS="$(ICFLAGS)" XCFLAGS="$(XCFLAGS)" DDDEBUG="$(DDDEBUG)" MTRDEBUG="$(MTRDEBUG)" LDFLAGS="$(LDFLAGS)" PURE="$(PURE)" EXE="$(EXE)" )

testobj: objlib
	@(cd obj; \
	echo Making testobj ...; \
	make CXX=$(CXX) CXXFLAGS=$(CXXFLAGS) RANLIB=$(RANLIB) MFLAG= MNEMLIB= ICFLAGS="$(ICFLAGS)" XCFLAGS="$(XCFLAGS)" DDDEBUG="$(DDDEBUG)" MTRDEBUG="$(MTRDEBUG)" LDFLAGS="$(LDFLAGS)" PURE="$(PURE)" EXE="$(EXE)" testobj$(EXE) )

testdddmp: build
	@(cd dddmp; \
	echo Making testdddmp ...; \
	make CC=$(CC) RANLIB=$(RANLIB) MFLAG= MNEMLIB= ICFLAGS="$(ICFLAGS)" XCFLAGS="$(XCFLAGS)" DDDEBUG="$(DDDEBUG)" MTRDEBUG="$(MTRDEBUG)" LDFLAGS="$(LDFLAGS)" PURE="$(PURE)" EXE="$(EXE)" testdddmp$(EXE) )

testmtr: build
	@(cd mtr; \
	echo Making testmtr ...; \
	make CC=$(CC) RANLIB=$(RANLIB) MFLAG= MNEMLIB= ICFLAGS="$(ICFLAGS)" XCFLAGS="$(XCFLAGS)" DDDEBUG="$(DDDEBUG)" MTRDEBUG="$(MTRDEBUG)" LDFLAGS="$(LDFLAGS)" PURE="$(PURE)" EXE="$(EXE)" testmtr$(EXE) )

clean:
	@for dir in mnemosyne $(DIRS) obj; do	\
	    (cd $$dir;	\
	     echo Cleaning $$dir ...; \
	     make -s clean	) \
	done

distclean:
	@for dir in mnemosyne $(DIRS) obj; do	\
	    (cd $$dir;	\
	     echo Cleaning $$dir ...; \
	     make -s EXE="$(EXE)" distclean	) \
	done
	sh ./shutdown.sh

=== Cudd/epd/Makefile ===
# $Id$
#
# epd -- extended precision
#---------------------------------------------------------------------------
.SUFFIXES: .c .o .u

CC	= gcc
RANLIB	= ranlib

MFLAG	=
ICFLAGS = -g -O6 -Wall
CFLAGS  = $(ICFLAGS) $(MFLAG) $(XCFLAGS)

LINTFLAGS = -u -n

# this is to create the lint library
LINTSWITCH = -o

P	= epd
PSRC	= epd.c
PHDR	= epd.h
POBJ	= $(PSRC:.c=.o)
PUBJ	= $(PSRC:.c=.u)

WHERE	= ..
INCLUDE = $(WHERE)/include

#---------------------------

lib$(P).a: $(POBJ)
	ar rv $@ $?
	$(RANLIB) $@

.c.o: $(PSRC) $(PHDR)
	$(CC) -c $< -I$(INCLUDE) $(CFLAGS)

optimize_dec: lib$(P).b

lib$(P).b: $(PUBJ)
	ar rv $@ $?
	$(RANLIB) $@

.c.u: $(PSRC) $(PHDR)
	cc -j $< -I$(INCLUDE) $(XCFLAGS)

# if the header files change, recompile
$(POBJ): $(PHDR)
$(PUBJ): $(PHDR)

lint: llib-l$(P).ln

llib-l$(P).ln: $(PSRC) $(PHDR)
	lint $(LINTFLAGS) $(LINTSWITCH)$(P) -I$(INCLUDE) $(PSRC)

tags: $(PSRC) $(PHDR)
	ctags $(PSRC) $(PHDR)

all: lib$(P).a lib$(P).b llib-l$(P).ln tags

clean:
	rm -f *.o *.u .pure *.warnings

distclean: clean
	rm -f lib*.a lib$(P).b llib-l$(P).ln tags *~ *.bak *.qv *.qx

=== Cudd/mtr/Makefile ===
# $Id: Makefile,v 1.2 1994/10/03 23:30:34 fabio Exp fabio $
#
#    mtr - multiway-branching tree package
#---------------------------
.SUFFIXES: .o .c .u

CC	= cc
RANLIB	= ranlib
PURE	=
# Define EXE as .exe for MS-DOS and derivatives.
EXE	=
#EXE	= .exe

MFLAG   =
ICFLAGS = -g
CFLAGS  = $(ICFLAGS) $(MFLAG) $(XCFLAGS)
MTRDEBUG = -DMTR_STATS -DMTR_VERBOSE -DMTR_DEBUG

LINTFLAGS = -u -n -DMTR_STATS -DMTR_VERBOSE -DMTR_DEBUG

# this is to create the lint library
LINTSWITCH = -o

LDFLAGS	=

WHERE	= ..

INCLUDE = $(WHERE)/include

P	= mtr
PSRC    = mtrBasic.c mtrGroup.c
PHDR    = mtr.h
POBJ	= $(PSRC:.c=.o)
PUBJ	= $(PSRC:.c=.u)
SRC	= test$(P).c
HDR	=
OBJ	= $(SRC:.c=.o)
UBJ	= $(SRC:.c=.u)
TARGET	= test$(P)$(EXE)
TARGETu	= test$(P)-u

LIBS	= ./libmtr.a $(WHERE)/util/libutil.a

BLIBS	= -kL. -klmtr -kL$(WHERE)/util -klutil

MNEMLIB	=

LINTLIBS = llib-l$(P).ln

#---------------------------

lib$(P).a: $(POBJ)
	ar rv $@ $?
	$(RANLIB) $@

.c.o: $(PSRC) $(PHDR)
	$(CC) -c  $< -I$(INCLUDE) $(CFLAGS) $(MTRDEBUG) 

optimize_dec: lib$(P).b

lib$(P).b: $(PUBJ)
	ar rv $@ $?
	$(RANLIB) $@

.c.u: $(PSRC) $(PHDR)
	cc -j $<  -I$(INCLUDE) $(XCFLAGS)

# if the header files change, recompile
$(POBJ): $(PHDR)
$(PUBJ): $(PHDR)
$(OBJ): $(PHDR)
$(UBJ): $(PHDR)

lint: llib-l$(P).ln

llib-l$(P).ln: $(PSRC) $(PHDR)
	lint $(LINTFLAGS) $(LINTSWITCH)$(P) -I$(INCLUDE) $(PSRC)

tags: $(PSRC) $(PHDR)
	ctags $(PSRC) $(PHDR)

all: lib$(P).a lib$(P).b llib-l$(P).ln tags

$(TARGET): $(POBJ) $(OBJ) $(LIBS) $(MNEMLIB)
	$(PURE) $(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(OBJ) $(LIBS) $(MNEMLIB) -lm

$(TARGETu): $(SRC) $(PSRC) $(PHDR) $(UBJ) $(PUBJ) $(LIBS:.a=.b)
	cc -O3 $(XCFLAGS) $(LDFLAGS) -o $@ $(UBJ) $(BLIBS) -lm

clean:
	rm -f *.o *.u mon.out gmon.out *.pixie *.Addrs *.Counts mnem.* \
	.pure core *.warnings

distclean: clean
	rm -f $(TARGET) $(TARGETu) lib*.a lib$(P).b llib-l$(P).ln \
	*.bak *~ tags *.qv *.qx

=== Cudd/nanotrav/Makefile ===
# $Id: Makefile,v 1.12 1999/08/31 19:10:05 fabio Exp fabio $
#
# nanotrav: simple FSM traversal program
#---------------------------------------------------------------------------
.SUFFIXES: .o .c .u

CC	= gcc
#CC	= cc
RANLIB	= ranlib
#RANLIB	= :
PURE	=

EXE	=
#EXE	= .exe
TARGET	= nanotrav$(EXE)
TARGETu = nanotrav-u

WHERE	= ..

INCLUDE = $(WHERE)/include

LIBS	= $(WHERE)/dddmp/libdddmp.a $(WHERE)/cudd/libcudd.a \
	$(WHERE)/mtr/libmtr.a $(WHERE)/st/libst.a $(WHERE)/util/libutil.a \
	$(WHERE)/epd/libepd.a

MNEMLIB =
#MNEMLIB	= $(WHERE)/mnemosyne/libmnem.a

BLIBS	= -kL$(WHERE)/dddmp -kldddmp -kL$(WHERE)/cudd -klcudd -kL$(WHERE)/mtr \
	-klmtr -kL$(WHERE)/st -klst -kL$(WHERE)/util -klutil \
	-kL$(WHERE)/epd -klepd

LINTLIBS = $(WHERE)/llib-ldddmp.a $(WHERE)/cudd/llib-lcudd.ln \
	$(WHERE)/mtr/llib-lmtr.ln $(WHERE)/st/llib-lst.ln \
	$(WHERE)/util/llib-lutil.ln $(WHERE)/epd/llib-lepd.ln

SRC	= main.c bnet.c ntr.c ntrHeap.c ntrBddTest.c ntrMflow.c ntrZddTest.c \
	  ntrShort.c chkMterm.c ucbqsort.c
HDR	= bnet.h ntr.h $(WHERE)/include/dddmp.h $(WHERE)/include/cudd.h \
	$(WHERE)/include/cuddInt.h

OBJ	= $(SRC:.c=.o)
UBJ	= $(SRC:.c=.u)

MFLAG	=
#MFLAG	= -DMNEMOSYNE
ICFLAGS = -g -O6 -Wall
#ICFLAGS = -g -Wall
XCFLAGS = -DHAVE_IEEE_754 -DBSD
#XCFLAGS = -xtaso -ieee_with_no_inexact -tune host
CFLAGS	= $(ICFLAGS) $(MFLAG) $(XCFLAGS)
DDDEBUG =
#DDDEBUG = -DDD_STATS -DDD_VERBOSE -DDD_CACHE_PROFILE -DDD_UNIQUE_PROFILE -DDD_DEBUG

LDFLAGS =
#LDFLAGS = -jmpopt
#LDFLAGS = -non_shared -om -taso

LINTFLAGS = -u -n -DDD_STATS -DDD_CACHE_PROFILE -DDD_VERBOSE -DDD_DEBUG -DDD_UNIQUE_PROFILE

#------------------------------------------------------

$(TARGET): $(SRC) $(OBJ) $(HDR) $(LIBS) $(MNEMLIB)
	$(PURE) $(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(OBJ) $(LIBS) $(MNEMLIB) -lm

.c.o: $(HDR)
	$(CC) -c $< -I$(INCLUDE) $(CFLAGS) $(DDDEBUG)

# if the header files change, recompile
$(OBJ): $(HDR)
$(UBJ): $(HDR)

optimize_dec: $(TARGETu)

# optimize (DECstations only: uses u-code)
$(TARGETu): $(SRC) $(UBJ) $(HDR) $(LIBS:.a=.b)
	cc -O3 $(XCFLAGS) $(LDFLAGS) $(UBJ) -o $@ $(BLIBS) -lm

.c.u: $(SRC) $(HDR)
	cc -j -I$(INCLUDE) $(XCFLAGS) $<

lint: $(SRC) $(HDR) $(LINTLIBS)
	lint $(LINTFLAGS) -I$(INCLUDE) $(SRC) $(LINTLIBS)

tags: $(SRC) $(HDR)
	ctags $(SRC) $(HDR)

all: $(TARGET) $(TARGETu) lint tags

pixie: $(TARGETu)
	pixie $(TARGETu)

clean:
	rm -f *.o *.u mon.out gmon.out *.pixie *.Addrs *.Counts mnem.* \
	.pure core *.warnings

distclean: clean
	rm -f $(TARGET) $(TARGETu) *.bak *~ .gdb_history *.qv *.qx

=== Cudd/obj/Makefile ===
# $Id: Makefile,v 1.3 2001/03/19 07:34:37 fabio Exp fabio $
#
# obj: CUDD's C++ interface
#---------------------------------------------------------------------------
.SUFFIXES: .o .cc .u

CXX	= g++
RANLIB	= ranlib
# Define EXE as .exe for MS-DOS and derivatives.
PURE	=
EXE	=
#EXE	= .exe

MFLAG	=
ICFLAGS = -g
XCFLAGS =
CXXFLAGS =
CFLAGS	= $(ICFLAGS) $(MFLAG) $(XCFLAGS) $(CXXFLAGS)
DDDEBUG =

LINTFLAGS = -u -n -DDD_STATS -DDD_CACHE_PROFILE -DDD_VERBOSE -DDD_DEBUG -DDD_UNIQUE_PROFILE

# this is to create the lint library
LINTSWITCH = -o

WHERE	= ..

INCLUDE = $(WHERE)/include

LIBS	= ./libobj.a $(WHERE)/cudd/libcudd.a $(WHERE)/mtr/libmtr.a \
	$(WHERE)/st/libst.a $(WHERE)/util/libutil.a $(WHERE)/epd/libepd.a

MNEMLIB =

BLIBS	= -kL. -klobj -kL$(WHERE)/cudd -klcudd -kL$(WHERE)/mtr -klmtr \
	-kL$(WHERE)/st -klst -kL$(WHERE)/util -klutil -kL$(WHERE)/epd -klepd

LINTLIBS = ./llib-lobj.ln $(WHERE)/cudd/llib-lcudd.ln \
	$(WHERE)/mtr/llib-lmtr.ln $(WHERE)/st/llib-lst.ln \
	$(WHERE)/util/llib-lutil.ln $(WHERE)/epd/llib-lepd.ln

LDFLAGS =

# files for the package
P	= obj
PSRC	= cuddObj.cc
PHDR	= cuddObj.hh $(INCLUDE)/cudd.h
POBJ	= $(PSRC:.cc=.o)
PUBJ	= $(PSRC:.cc=.u)
TARGET	= test$(P)$(EXE)
TARGETu = test$(P)-u

# files for the test program
SRC	= test$(P).cc
OBJ	= $(SRC:.cc=.o)
UBJ	= $(SRC:.cc=.u)

#------------------------------------------------------

lib$(P).a: $(POBJ)
	ar rv $@ $?
	$(RANLIB) $@

.cc.o: $(PHDR)
	$(CXX) -c $< -I$(INCLUDE) $(CFLAGS) $(DDDEBUG)

optimize_dec: lib$(P).b

lib$(P).b: $(PUBJ)
	ar rv $@ $?
	$(RANLIB) $@

.cc.u: $(PHDR)
	cxx -j $< -I$(INCLUDE) $(CFLAGS)

# if the header files change, recompile
$(POBJ): $(PHDR)
$(PUBJ): $(PHDR)
$(OBJ): $(PHDR)
$(UBJ): $(PHDR)

$(TARGET): $(SRC) $(OBJ) $(HDR) $(LIBS) $(MNEMLIB)
	$(PURE) $(CXX) $(CFLAGS) $(LDFLAGS) -o $@ $(OBJ) $(LIBS) $(MNEMLIB) -lm

# optimize (DECstations and Alphas only: uses u-code)
$(TARGETu): $(SRC) $(UBJ) $(HDR) $(LIBS:.a=.b)
	cxx -O3 -Olimit 1000 $(XCFLAGS) $(LDFLAGS) -o $@ $(UBJ) $(BLIBS) -lm

lint: llib-l$(P).ln

llib-l$(P).ln: $(PSRC) $(PHDR)
	lint $(LINTFLAGS) $(LINTSWITCH)$(P) -I$(INCLUDE) $(PSRC)

lintpgm: lint
	lint $(LINTFLAGS) -I$(INCLUDE) $(SRC) $(LINTLIBS)

tags: $(PSRC) $(PHDR)
	ctags $(PSRC) $(PHDR)

all: lib$(P).a lib$(P).b llib-l$(P).ln tags

programs: $(TARGET) $(TARGETu) lintpgm

clean:
	rm -f *.o *.u mon.out gmon.out *.pixie *.Addrs *.Counts mnem.* \
	.pure core *.warnings

distclean: clean
	rm -f $(TARGET) $(TARGETu) lib*.a lib$(P).b llib-l$(P).ln \
	*.bak *~ tags .gdb_history *.qv *.qx

=== libpolybori/doc/Makefile ===
doc:
	doxygen doxygen.conf

=== debian/changelog ===
polybori (0.8.3-5build1) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 12:55:18 +0000

polybori (0.8.3-5) unstable; urgency=medium

  [ Julien Puydt ]
  * Made the -dev package depend on libboost-dev. (Closes: #780570)

  [ Tobias Hansen ]
  * Made libpolybori-dev depend on libgd-dev, libpng12-dev and libm4ri-dev
    since they are referenced in the pkg-config file.
  * Made libpolybori-groebner-dev depend on libpolybori-dev (same reason).

 -- Tobias Hansen <thansen@debian.org>  Tue, 17 Mar 2015 22:13:55 +0100

polybori (0.8.3-4) unstable; urgency=medium

  * Modified the patch for clean pkg-config files. (Closes: #751098)
  * Pushed Standards-Version up.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 04 Feb 2015 23:38:21 +0100

polybori (0.8.3-3) unstable; urgency=low

  * Tests still failed on ia64, fix it for real.
  * Try a workaround for failing testsuite on hurd due to
    problems with rpath.

 -- Tobias Hansen <thansen@debian.org>  Mon, 04 Nov 2013 22:49:54 +0100

polybori (0.8.3-2) unstable; urgency=low

  * Protect CErrorInfo::text() against invalid array access.
    The missing check caused failing tests on ia64 and alpha.

 -- Tobias Hansen <thansen@debian.org>  Sun, 03 Nov 2013 22:27:53 +0100

polybori (0.8.3-1) unstable; urgency=low

  * Add myself to Uploaders with ack from Alexander Dreyer.
  * Upload to unstable.
  * polybori-doc breaks and replaces libpolybori-dev (<< 0.8) because
    of file conflicts. (Closes: #717975)
  * Link with --as-needed to build on jessie.
  * Bump Standards-Version to 3.9.4.
  * Create watch file.
  * Create doc-base file.
  * Update debian/copyright.
  * Update package descriptions.

 -- Tobias Hansen <thansen@debian.org>  Sun, 03 Nov 2013 00:37:45 +0100

polybori (0.8.3-1~exp2) experimental; urgency=low

  * Added missing dependencies for test target 
  * Generate cleaner pkgconfig files (Closes: #702056)
  * Install convenience header /user/include/polybori.h (Closes: #702056)

  * debian/patch
    - 0001-Added-libraries-symlinks-to-testsuite-dependencies-t.patch (new)
      Added libraries symlinks to testsuite dependencies to ensure that
      tests can be executed (from upstream)
    - 0002-Generate-clean-.pc-files-from-upstream.patch (new)
      Generate cleaner pkgconfig files (Closes: #702056)

 -- Alexander Dreyer <adreyer@gmx.de>  Tue, 12 Mar 2013 11:49:56 +0100

polybori (0.8.3-1~exp1) experimental; urgency=low

  * Updating to recent Debian standards
    - supported by Frédéric-Emmanuel Picca <picca@debian.org>
  * Packaging of PolyBoRi 0.8 by Felix Salfelder <felix@salfelder.org>
    - new upstream release
    - expected to work with gcc-4.7

 -- Alexander Dreyer <adreyer@gmx.de>  Tue, 8 Jan 2013 09:31:12 +0100

polybori (0.5~rc1-2.1) unstable; urgency=low

  * Non-maintainer upload. Thanks to Kumar Appaiah for the initial patch.
  * debian/control:
    - Add ‘XB-Python-Version: ${python:Version}’, as required by python-central.
    - Tighten internal package dependencies.
  * debian/*.install:
    - Stop referring to particular versions of Python in debian/*.install
      (closes: #557293).
  * debian/rules:
    - Use correct values for RELATIVEPYPREFIX variable.
    - Pass name of Python-versioned Boost library to scons.
  * debian/patches/link-with-versioned-boost.diff:
    - Link to a correct version of Boost library.

 -- Jakub Wilk <ubanus@users.sf.net>  Sat, 09 Jan 2010 21:53:54 +0100

polybori (0.5~rc1-2) unstable; urgency=low

  * Boost 1.39 has removed the "-mt" suffix, so revert the previous change
    (and update the build dependency to 1.39) (Closes: #545608).

 -- Tim Abbott <tabbott@mit.edu>  Fri, 18 Sep 2009 19:30:17 -0400

polybori (0.5~rc1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with current boost (Closes: #530478). As explained by Steve
    M. Robbins, single- and multi-threaded variants got dropped, only mt
    variants are available as of 1.37.0, suffixed with “-mt”. Since the
    previous filenames aren't specified, make sure a “modern” version of
    boost headers are used, bumping the versioned build dependency from
    “>= 1.33” to “>= 1.37”, and tweak SConstruct to use “boost_python-mt”
    instead of “boost_python” for the LIBS variable, using the following
    patch:
     - 01-fix-ftbfs-with-new-boost.diff

 -- Cyril Brulebois <kibi@debian.org>  Thu, 02 Jul 2009 17:26:00 +0200

polybori (0.5~rc1-1) unstable; urgency=low

  * Initial release to Debian (Closes: #480077)

 -- Tim Abbott <tabbott@mit.edu>  Tue, 08 Jul 2008 19:04:16 -0400

=== debian/control ===
Source: polybori
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org> 
Uploaders: Alexander Dreyer <adreyer@gmx.de>,
           Felix Salfelder <felix@salfelder.org>,
           Tobias Hansen <thansen@debian.org>,
           Julien Puydt <julien.puydt@laposte.net>
Section: math
Priority: extra
Build-Depends: debhelper (>= 9),
               scons,
               libboost-dev,
               libboost-python-dev,
               libboost-test-dev,
               libm4ri-dev (>= 20120613),
               python-all-dev,
               libgd2-xpm-dev,
               libjpeg-dev
Build-Depends-Indep: doxygen,
                     dvipng,
                     tex4ht,
                     texlive-fonts-recommended,
                     texlive-latex-base,
                     texlive-latex-extra,
                     texlive-latex-recommended
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/polybori.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/polybori.git
Homepage: http://polybori.sourceforge.net/
X-Python-Version: >= 2.6

Package: polybori
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ipython,
         python-polybori (= ${binary:Version}),
         ${python:Depends}
Provides: polybori
Description: polynomials over Boolean Rings, custom ipython shell
 The core of PolyBoRi is a C++ library, which provides high-level data
 types for Boolean polynomials and monomials, exponent vectors, as
 well as for the underlying polynomial rings and subsets of the
 powerset of the Boolean variables. As a unique approach, binary
 decision diagrams are used as internal storage type for polynomial
 structures. On top of this C++-library a Python interface
 is provided. This allows parsing of complex polynomial systems, as well
 as sophisticated and extendable strategies for Groebner base
 computation. PolyBoRi features a powerful reference implementation
 for Groebner basis computation.
 .
 This package contains the PolyBoRi's shell ipbori.

Package: polybori-gui
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python-qt4,
         python-polybori (= ${binary:Version}),
         ${python:Depends}
Description: polynomials over Boolean Rings, GUI
 The core of PolyBoRi is a C++ library, which provides high-level data
 types for Boolean polynomials and monomials, exponent vectors, as
 well as for the underlying polynomial rings and subsets of the
 powerset of the Boolean variables. As a unique approach, binary
 decision diagrams are used as internal storage type for polynomial
 structures. On top of this C++-library a Python interface
 is provided. This allows parsing of complex polynomial systems, as well
 as sophisticated and extendable strategies for Groebner base
 computation. PolyBoRi features a powerful reference implementation
 for Groebner basis computation.
 .
 This package contains the PolyBoRi's PolyGUI.

Package: python-polybori
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpolybori-0.8-3 (= ${binary:Version}),
         libpolybori-groebner-0.8-3 (= ${binary:Version}),
         ${python:Depends}
Description: polynomials over Boolean Rings, Python module
 The core of PolyBoRi is a C++ library, which provides high-level data
 types for Boolean polynomials and monomials, exponent vectors, as
 well as for the underlying polynomial rings and subsets of the
 powerset of the Boolean variables. As a unique approach, binary
 decision diagrams are used as internal storage type for polynomial
 structures. On top of this C++-library a Python interface
 is provided. This allows parsing of complex polynomial systems, as well
 as sophisticated and extendable strategies for Groebner base
 computation. PolyBoRi features a powerful reference implementation
 for Groebner basis computation.
 .
 This package contains the PolyBoRi Python module.

Package: libpolybori-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libpolybori-0.8-3 (= ${binary:Version}),
         libboost-dev,
         libgd-dev,
         libpng12-dev,
         libm4ri-dev
Description: polynomials over Boolean Rings, core development files
 The core of PolyBoRi is a C++ library, which provides high-level data
 types for Boolean polynomials and monomials, exponent vectors, as
 well as for the underlying polynomial rings and subsets of the
 powerset of the Boolean variables. As a unique approach, binary
 decision diagrams are used as internal storage type for polynomial
 structures. On top of this C++-library a Python interface
 is provided. This allows parsing of complex polynomial systems, as well
 as sophisticated and extendable strategies for Groebner base
 computation. PolyBoRi features a powerful reference implementation
 for Groebner basis computation.
 .
 This package contains the PolyBoRi core development files.

Package: libpolybori-0.8-3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: polybori-doc (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: polynomials over Boolean Rings, shared library
 The core of PolyBoRi is a C++ library, which provides high-level data
 types for Boolean polynomials and monomials, exponent vectors, as
 well as for the underlying polynomial rings and subsets of the
 powerset of the Boolean variables. As a unique approach, binary
 decision diagrams are used as internal storage type for polynomial
 structures. On top of this C++-library a Python interface
 is provided. This allows parsing of complex polynomial systems, as well
 as sophisticated and extendable strategies for Groebner base
 computation. PolyBoRi features a powerful reference implementation
 for Groebner basis computation.
 .
 This package contains the PolyBoRi shared library libpolybori.

Package: libpolybori-0.8-3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: ${misc:Depends},
         libpolybori-0.8-3 (= ${binary:Version})
Description: debug symbols for libpolybori-0.8-3 
 The core of PolyBoRi is a C++ library, which provides high-level data
 types for Boolean polynomials and monomials, exponent vectors, as
 well as for the underlying polynomial rings and subsets of the
 powerset of the Boolean variables. As a unique approach, binary
 decision diagrams are used as internal storage type for polynomial
 structures. On top of this C++-library a Python interface
 is provided. This allows parsing of complex polynomial systems, as well
 as sophisticated and extendable strategies for Groebner base
 computation. PolyBoRi features a powerful reference implementation
 for Groebner basis computation.
 .
 This package contains the debugging symbols of PolyBoRi's shared libraries.

Package: libpolybori-groebner-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libpolybori-groebner-0.8-3 (= ${binary:Version}),
         libpolybori-dev
Breaks: libpolybori-dev (<< 0.8)
Replaces: libpolybori-dev (<< 0.8)
Description: development files for libpolybori-groebner
 The core of PolyBoRi is a C++ library, which provides high-level data
 types for Boolean polynomials and monomials, exponent vectors, as
 well as for the underlying polynomial rings and subsets of the
 powerset of the Boolean variables. As a unique approach, binary
 decision diagrams are used as internal storage type for polynomial
 structures. On top of this C++-library a Python interface
 is provided. This allows parsing of complex polynomial systems, as well
 as sophisticated and extendable strategies for Groebner base
 computation. PolyBoRi features a powerful reference implementation
 for Groebner basis computation.
 .
 This package contains the development files for libpolybori-groebner.

Package: libpolybori-groebner-0.8-3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpolybori-0.8-3 (= ${binary:Version})
Suggests: polybori-doc (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Breaks: libpolybori (<< 0.8)
Replaces: libpolybori (<< 0.8)
Description: computer algebra routines of PolyBoRi
 The core of PolyBoRi is a C++ library, which provides high-level data
 types for Boolean polynomials and monomials, exponent vectors, as
 well as for the underlying polynomial rings and subsets of the
 powerset of the Boolean variables. As a unique approach, binary
 decision diagrams are used as internal storage type for polynomial
 structures. On top of this C++-library a Python interface
 is provided. This allows parsing of complex polynomial systems, as well
 as sophisticated and extendable strategies for Groebner base
 computation. PolyBoRi features a powerful reference implementation
 for Groebner basis computation.
 .
 This package contains the PolyBoRi shared library libpolybori_groebner.

Package: libpolybori-groebner-0.8-3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: ${misc:Depends},
         libpolybori-groebner-0.8-3 (= ${binary:Version})
Description: debug symbols for libpolybori-groebner-0.8-3
 The core of PolyBoRi is a C++ library, which provides high-level data
 types for Boolean polynomials and monomials, exponent vectors, as
 well as for the underlying polynomial rings and subsets of the
 powerset of the Boolean variables. As a unique approach, binary
 decision diagrams are used as internal storage type for polynomial
 structures. On top of this C++-library a Python interface
 is provided. This allows parsing of complex polynomial systems, as well
 as sophisticated and extendable strategies for Groebner base
 computation. PolyBoRi features a powerful reference implementation
 for Groebner basis computation.
 .
 This package contains the debugging symbols of PolyBoRi's shared library 
 libpolybori-groebner.

Package: polybori-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: libpolybori-dev (<< 0.8)
Replaces: libpolybori-dev (<< 0.8)
Description: polynomials over Boolean Rings, documentation
 The core of PolyBoRi is a C++ library, which provides high-level data
 types for Boolean polynomials and monomials, exponent vectors, as
 well as for the underlying polynomial rings and subsets of the
 powerset of the Boolean variables. As a unique approach, binary
 decision diagrams are used as internal storage type for polynomial
 structures. On top of this C++-library a Python interface
 is provided. This allows parsing of complex polynomial systems, as well
 as sophisticated and extendable strategies for Groebner base
 computation. PolyBoRi features a powerful reference implementation
 for Groebner basis computation.
 .
 This package contains the PolyBoRi documentation.

=== debian/watch ===
version=3
http://sf.net/polybori/polybori-([0-9.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
